Name:          compat-giflib
Summary:       Compatibility packaging providing libgif.so.4
Version:       4.1.6
Release:       1%{?dist}
License:       MIT
URL:           http://www.sourceforge.net/projects/giflib/
Source:        http://downloads.sourceforge.net/giflib/giflib-%{version}.tar.bz2

BuildRequires: make
BuildRequires: gcc

Patch1: giflib-4.1.6-format-security.patch


%description
Compatibility packaging providing libgif.so.4


%prep
%autosetup -p1 -n giflib-%{version}


%build
%configure
%make_build


%install
%make_install

# Delete unneeded stuff
rm -rf %{buildroot}/%{_bindir}
rm -rf %{buildroot}/%{_includedir}
rm -f %{buildroot}/%{_libdir}/*.{a,la,so}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files 
%license COPYING
%{_libdir}/libgif.so.4*


%changelog
* Wed Jan 24 2018 Sandro Mani <manisandro@gmail.com> - 4.1.6-1
- Initial package
